package com.xiaoniu.niucai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 投注方案
 * </p>
 *
 * @author admin
 * @since 2020-09-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaBettingPlan implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "plan_id", type = IdType.AUTO)
    private Integer planId;

    private Integer customerId;

    private String lotteryId;

    private String lotteryName;

    private String summary;

    private String aliaTitle;

    private Integer times;

    private Boolean isDigit;

    private Boolean isSport;

    private String passCode;

    private String passName;

    private LocalDateTime createDate;

    private Integer status;


    @TableField(exist = false)
    private Integer notesNum;

    @TableField(exist = false)
    private Boolean isAdd;

    @TableField(exist = false)
    private Integer totalPrice;

    @TableField(exist = false)
    private String expectedEarning;

    @TableField(exist = false)
    private Integer shopId;

    @TableField(exist = false)
    private String shopName;

    @TableField(exist = false)
    private String issueNo;

    @TableField(exist = false)
    private String customerName;

    @TableField(exist = false)
    private List<TaBettingPlanItem> itemList;
}
