package com.xiaoniu.niucai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 客户投注 
 * </p>
 *
 * @author admin
 * @since 2020-09-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaCustomerBetting implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "betting_id", type = IdType.AUTO)
    private Integer bettingId;

    private Integer customerId;

    private String customerName;

    private Integer shopId;

    private String shopName;

    private Integer planId;

    private String planName;

    private String lotteryId;

    private String lotteryName;

    private String issueNo;

    private String openingDate;

    private Integer bettingTimes;

    private Boolean isAdd;

    private Integer notesNum;

    private Integer totalPrice;

    private String expectedEarning;

    private Boolean isDrawn;

    private LocalDateTime drawnDate;

    private String lotteryPicture;

    private Boolean isOpen;

    private Boolean isWinning;

    private String winLevel;

    private Integer winAmount;

    private Boolean isCashed;

    private LocalDateTime createDate;

    private Integer status;

    @TableField(exist = false)
    List<TaCustomerBettingItem> itemList;

    @TableField(exist = false)
    List<TaCustomerBettingSport> bettingSports;

    @TableField(exist = false)
    TaBettingPlan bettingPlan;
}
