package com.xiaoniu.niucai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 数字彩开奖结果 
 * </p>
 *
 * @author admin
 * @since 2020-08-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaLotteryResult implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    @TableId(value = "serial_no", type = IdType.AUTO)
    private Integer serialNo;

    /**
     * 彩种ID
     */
    private String lotteryId;

    /**
     * 彩种名称
     */
    private String lotteryName;

    /**
     * 期数
     */
    private String issueNo;

    /**
     * 开奖日期
     */
    private String openingDate;

    /**
     * 结果 半角逗号连接
     */
    private String result;

    /**
     * 前区结果
     */
    private String firstResult;

    /**
     * 后区结果
     */
    private String secondResult;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 状态
     */
    private Integer status;

    @TableField(exist = false)
    List<TaLotteryResultDetail> detailList;
}
