package com.xiaoniu.niucai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 比赛 
 * </p>
 *
 * @author admin
 * @since 2020-09-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaMatch implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 比赛ID
     */
    @TableId(value = "match_id", type = IdType.AUTO)
    private Integer matchId;

    /**
     * 联赛
     */
    private Integer leagueId;

    /**
     * 联赛名称
     */
    private String leagueName;

    /**
     * 场次
     */
    private String matchWeek;

    /**
     * 比赛日期
     */
    private String matchDate;

    /**
     * 比赛时间
     */
    private String matchTime;

    /**
     * 主队
     */
    private Integer homeTeamId;

    /**
     * 主队名称
     */
    private String homeTeamName;

    /**
     * 客队
     */
    private Integer awayTeamId;

    /**
     * 客队名称
     */
    private String awayTeamName;

    /**
     * 半场比分
     */
    private String halfScore;

    /**
     * 全场比分
     */
    private String wholeScore;

    /**
     * 胜分
     */
    private Integer diffScore;

    /**
     * 让分
     */
    private String spreadPoints;

    /**
     * 预设分
     */
    private String presetPoints;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 彩种
     */
    private String lotteryId;

    private Integer openingStatus;

}
