package com.xiaoniu.niucai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 闯关字典
 * </p>
 *
 * @author admin
 * @since 2020-09-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TdSportPass implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 过关 m*n格式
     */
    @TableId(value = "pass_code", type = IdType.INPUT)
    private String passCode;

    /**
     * 名称
     */
    private String name;

    /**
     * 场次
     */
    private Integer unitNum;

    /**
     * 关数
     */
    private Integer amount;

    /**
     * 单场
     */
    @TableField("`level_1`")
    private Integer level1;

    /**
     * 两关
     */
    @TableField("`level_2`")
    private Integer level2;

    /**
     * 三关
     */
    @TableField("`level_3`")
    private Integer level3;

    /**
     * 四关
     */
    @TableField("`level_4`")
    private Integer level4;

    /**
     * 五关
     */
    @TableField("`level_5`")
    private Integer level5;

    /**
     * 六关
     */
    @TableField("`level_6`")
    private Integer level6;

    /**
     * 七关
     */
    @TableField("`level_7`")
    private Integer level7;

    /**
     * 八关
     */
    @TableField("`level_8`")
    private Integer level8;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 排序
     */
    private Integer sortNo;
}
