package com.xiaoniu.niucai.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.xiaoniu.niucai.enums.StatusEnum;
import com.xiaoniu.niucai.service.ITaCustomerBettingItemService;
import com.xiaoniu.niucai.entity.TaCustomerBetting;
import com.xiaoniu.niucai.entity.TaCustomerBettingItem;
import com.xiaoniu.niucai.entity.TaMatch;
import com.xiaoniu.niucai.mapper.TaCustomerBettingItemMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 客户投注明细  服务实现类
 * </p>
 *
 * @author admin
 * @since 2020-09-14
 */
@Service
public class TaCustomerBettingItemServiceImpl extends ServiceImpl<TaCustomerBettingItemMapper, TaCustomerBettingItem> implements ITaCustomerBettingItemService {

    @Autowired
    TaCustomerBettingItemMapper taCustomerBettingItemMapper;

    @Override
    public List<TaCustomerBettingItem> getByMatch(TaMatch taMatch) {
        return taCustomerBettingItemMapper.getByMatch(taMatch.getMatchId(), null);
    }

    @Override
    public List<TaCustomerBettingItem> getByBetting(TaCustomerBetting betting) {
        QueryWrapper<TaCustomerBettingItem> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("betting_id", betting.getBettingId());
        queryWrapper.eq("status", StatusEnum.NORMAL.getCode());
        queryWrapper.orderByAsc("create_date");

        return list(queryWrapper);
    }
}
