package com.xiaoniu.niucai.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.xiaoniu.niucai.service.ITaCustomerBettingSportService;
import com.xiaoniu.niucai.entity.TaCustomerBettingSport;
import com.xiaoniu.niucai.mapper.TaCustomerBettingSportMapper;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 客户投注竞彩明细  服务实现类
 * </p>
 *
 * @author admin
 * @since 2020-09-09
 */
@Service
public class TaCustomerBettingSportServiceImpl extends ServiceImpl<TaCustomerBettingSportMapper, TaCustomerBettingSport> implements ITaCustomerBettingSportService {

    @Override
    public List<TaCustomerBettingSport> getListByBetting(Integer bettingId, Integer itemNo) throws Exception {
        QueryWrapper<TaCustomerBettingSport> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("betting_id", bettingId);
        queryWrapper.eq("item_no", itemNo);
        queryWrapper.orderByAsc("create_date");

        return list(queryWrapper);
    }

    @Override
    public boolean updateExcDrawnOdds(Integer bettingId, Integer itemNo) throws Exception {
        UpdateWrapper<TaCustomerBettingSport> updateWrapper = new UpdateWrapper<>();
        updateWrapper.set("odds_drawn", 1);
        updateWrapper.set("is_winning", 1);
        updateWrapper.eq("betting_id", bettingId);
        updateWrapper.eq("item_no", itemNo);

        return update(updateWrapper);
    }
}
