package com.xiaoniu.niucai.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.xiaoniu.niucai.entity.TdLotteryOnSale;
import com.xiaoniu.niucai.enums.StatusEnum;
import com.xiaoniu.niucai.mapper.TdLotteryOnSaleMapper;
import com.xiaoniu.niucai.service.ITdLotteryOnSaleService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 彩种销售时间 服务实现类
 * </p>
 *
 * @author admin
 * @since 2020-09-11
 */
@Service
public class TdLotteryOnSaleServiceImpl extends ServiceImpl<TdLotteryOnSaleMapper, TdLotteryOnSale> implements ITdLotteryOnSaleService {

    @Override
    public List<TdLotteryOnSale> getByWeekDay(int weekDay) {
        QueryWrapper<TdLotteryOnSale> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("week_day", weekDay);
        queryWrapper.eq("status", StatusEnum.NORMAL.getCode());
        queryWrapper.orderByAsc("serial_no");

        return list(queryWrapper);
    }
}
