package com.xiaoniu.niucai.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.xiaoniu.niucai.entity.TdLottery;
import com.xiaoniu.niucai.entity.TdLotteryPrize;
import com.xiaoniu.niucai.enums.StatusEnum;
import com.xiaoniu.niucai.mapper.TdLotteryPrizeMapper;
import com.xiaoniu.niucai.service.ITdLotteryPrizeService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 彩种中奖设置  服务实现类
 * </p>
 *
 * @author admin
 * @since 2020-09-07
 */
@Service
public class TdLotteryPrizeServiceImpl extends ServiceImpl<TdLotteryPrizeMapper, TdLotteryPrize> implements ITdLotteryPrizeService {
    @Override
    public List<TdLotteryPrize> getByLottery(TdLottery lottery) {
        QueryWrapper<TdLotteryPrize> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("lottery_id", lottery.getLotteryId());
        queryWrapper.eq("status", StatusEnum.NORMAL.getCode());
        queryWrapper.orderByAsc("serial_no");

        return list(queryWrapper);
    }
}
