package com.xiaoniu.niucai.task;

import com.xiaoniu.niucai.service.ITaLotteryResultService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class LotteryPrize implements Runnable {

    @Autowired
    ITaLotteryResultService iTaLotteryResultService;

    /**
     * 开奖轮询
     */
    @Override
    public void run() {
        log.info("开始处理数字彩中奖订单");

        // 数字彩
        try {
            iTaLotteryResultService.checkAndSetLotteryPrize();
        } catch (Exception e) {
            e.printStackTrace();
            log.error("校验数字彩开奖结果错误: {}", e.getMessage());
        }
    }
}
