package com.xiaoniu.niucai.task;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.xiaoniu.niucai.entity.TaOrder;
import com.xiaoniu.niucai.service.ITaOrderService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.time.LocalDateTime;
import java.util.List;

@Slf4j
@Component
public class OrderExpire implements Runnable {

    private final static Integer ORDER_PAYING = 2;
    private final static Integer ORDER_UNPAY = 0;

    @Autowired
    private ITaOrderService taOrderService;

    /**
     * 改变支付中的状态为有效状态
     */
    public void run(){
        log.info("开始处理过期订单");

        QueryWrapper<TaOrder> taOrderQueryWrapper = new QueryWrapper<>();
        taOrderQueryWrapper.eq("pay_status", ORDER_PAYING);
        taOrderQueryWrapper.gt("update_date", LocalDateTime.now().plusMinutes(30));
        List<TaOrder> list = taOrderService.list(taOrderQueryWrapper);
        if (list.size() > 0){
            list.forEach(e -> e.setPayStatus(ORDER_UNPAY));
            taOrderService.updateBatchById(list);
        }
    }
}
